image: python:3.8-slim-buster

stages:
  - build
  - deploy

before_script:
  - apt update && apt install -y make

build:
  stage: build
  tags:
    - linux
  script:
    - python3 -m pip install poetry --upgrade
    - make ci

pypi:
  stage: deploy
  tags:
    - linux
  script:
    - python3 -m pip install poetry --upgrade
    - bash .ci/release.sh

build:windows:
  stage: build
  tags:
    - windows
  before_script:
    - choco.exe install -y python
  script:
    - python -m pip install .
    - python -m bitia --help
    - python -m bitia run "ls -ltrh /"

pages:
  tags:
    - linux
  stage: deploy
  script:
    - apt update && apt install -y graphviz make
    - python3 -m pip install poetry
    - make docs && cp -r docs/build/html public
  artifacts:
    paths:
      - public
